<!DOCTYPE html>
<html>
    <head>
		<meta charset="utf-8">
        <title>PREMIERS PAS AVEC JS</title>
	</head>
<!-- 	<style>
		.carre{
			width : 20px;
			height : 20px;
			background-color : blue;
			position : absolute;
		}
		
		.cercle{
			border-radius : 20px;
			width : 20px;
			height : 20px;
			background-color : coral;
			position : absolute;
		}
		
		.moveable {
			position:absolute;
			 -webkit-touch-callout: none; /* iOS Safari */
			-webkit-user-select: none; /* Safari */
			 -khtml-user-select: none; /* Konqueror HTML */
			   -moz-user-select: none; /* Old versions of Firefox */
				-ms-user-select: none; /* Internet Explorer/Edge */
					user-select: none; /* Non-prefixed version, currently */
       
		}
	</style>
	<body>
		<div class="cercle moveable" ></div>
		<div class="carre moveable" ></div>
		<h1 class="moveable" >Salut</h1>
	</body>
	<script type="text/javascript">
    
        var essaie = document.getElementsByClassName("moveable");
        console.log(essaie);

        for (var i = 0; i < essaie.length; i ++){
            var ess = essaie[i];
            console.log(ess);
            ess.onmousedown = sourisdown;
            ess.onmouseup = sourisup ;
            ess.onmousemove = sourismove;
        }
        
        var selected;

        function sourisdown(event) {
            selected  = event.target;
        };

        function sourisup (event) {
            selected = undefined;
        };
        
        function sourismove (event) {

            if(selected!=undefined){
                selected.style.top = event.y-10 + "px";
                selected.style.left = event.x-10 + "px";
            };
        }
    </script> -->
    
    <body>

        <style>
        
            #resultat {

                height : 200px;
                width: 200px;
                background-color: rgb(127,127,127)
            }

        </style>

        <script>
                
            function modifier (){

                var couleurR= document.getElementById("rouge");
                var couleurV = document.getElementById("vert");
                var couleurB = document.getElementById("bleu");

                var rouge = couleurR.value;
                var vert = couleurV.value;
                var bleu = couleurB.value;

                var resultat = document.getElementById("resultat");
                resultat.style.backgroundColor = "rgb("+ rouge +","+vert+","+bleu+")";

            }

            

        </script>

        <ul>
            <li>Rouge<input type="range" id="rouge" min="0" max="255" oninput="modifier()" onchange="modifier()"></li>
            <li>Vert<input type="range" id="vert" min="0" max="255" oninput="modifier()" onchange="modifier()"></li>
            <li>Bleu<input type="range" id="bleu" min="0" max="255" oninput="modifier()" onchange="modifier()"></li>
        </ul>

        <div id="resultat"></div>

        
    </body>
</html>